package net.knarcraft.hungerarena.Listeners;

import net.knarcraft.hungerarena.HungerArena;
import org.bukkit.ChatColor;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerTeleportEvent;

public class TeleportListener implements Listener {

    public final HungerArena plugin;

    public TeleportListener(HungerArena m) {
        this.plugin = m;
    }

    @EventHandler(priority = EventPriority.MONITOR)
    public void onTP(PlayerTeleportEvent event) {
        Player p = event.getPlayer();
        if (plugin.worldNames.containsValue(event.getTo().getWorld().getName()) && plugin.Tele.contains(p)) {
            event.setCancelled(true);
            p.sendMessage(ChatColor.RED + "You are a dead tribute... How are you supposed to get back into the arena....");
            plugin.Tele.remove(p);
        } else if (plugin.Tele.contains(p)) {
            if (event.isCancelled()) {
                event.setCancelled(false);
                plugin.Tele.remove(p);
            }
        }
    }
}
