package net.knarcraft.hungerarena.Listeners;

import net.knarcraft.hungerarena.ArenaPlayer;
import net.knarcraft.hungerarena.HungerArena;
import org.bukkit.ChatColor;
import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerMoveEvent;
import org.bukkit.metadata.MetadataValue;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.UUID;

public class FreezeListener implements Listener {
    public final HungerArena plugin;

    public FreezeListener(HungerArena m) {
        this.plugin = m;
    }

    int i = 0;
    int a = 0;
    private final HashMap<Integer, Boolean> timeUp = new HashMap<>();
    private final ArrayList<Integer> timing = new ArrayList<>();

    @EventHandler
    public void onPlayerMove(PlayerMoveEvent event) {
        Player p = event.getPlayer();
        String pname = p.getName();
        if (plugin.getArena(p) != null) {
            a = plugin.getArena(p).getArenaId();
            if (plugin.arenaPlayers.get(p.getUniqueId()).isFrozen() && plugin.config.getBoolean("Frozen_Teleport")) {
                if (plugin.config.getBoolean("Explode_on_Move")) {
                    timeUp.put(a, false);
                    for (UUID players : plugin.Playing.get(a)) {
                        Player playing = plugin.getServer().getPlayer(players);
                        i = plugin.Playing.get(a).indexOf(players) + 1;
                        if (!timeUp.get(a) && !timing.contains(a)) {
                            timing.add(a);
                            if (!playing.getLocation().getBlock().getLocation().equals(plugin.location.get(a).get(i).getBlock().getLocation())) {
                                playing.teleport(plugin.location.get(a).get(i));
                                plugin.getServer().getScheduler().scheduleSyncDelayedTask(plugin, () -> {
                                    if (!timeUp.get(a)) {
                                        timeUp.put(a, true);
                                        timing.remove(a);
                                    }
                                }, 30L);
                            }
                        } else {
                            if (!playing.getLocation().getBlock().getLocation().equals(plugin.location.get(a).get(i).getBlock().getLocation())) {
                                if (!plugin.Dead.get(a).contains(playing.getName())) {
                                    plugin.Dead.get(a).add(playing.getUniqueId());
                                    World world = playing.getLocation().getWorld();
                                    world.createExplosion(playing.getLocation(), 0.0F, false);
                                    playing.setHealth(0.0D);
                                }
                            }
                        }
                    }
                    if (plugin.Dead.get(a).contains(pname) && plugin.Playing.get(a).contains(pname)) {
                        int players = plugin.Playing.get(a).size() - 1;
                        String leftmsg = ChatColor.BLUE + "There are now " + players + " tributes left!";
                        if (plugin.config.getBoolean("Cannon_Death")) {
                            double y = p.getLocation().getY();
                            double newy = y + 200;
                            double x = p.getLocation().getX();
                            double z = p.getLocation().getZ();
                            Location strike = new Location(p.getWorld(), x, newy, z);
                            p.getWorld().strikeLightning(strike);
                        }
                        if (plugin.config.getBoolean("broadcastAll")) {
                            p.getServer().broadcastMessage(pname + ChatColor.LIGHT_PURPLE + " Stepped off their pedestal too early!");
                        } else {
                            for (UUID gn : plugin.Playing.get(a)) {
                                Player g = plugin.getServer().getPlayer(gn);
                                g.sendMessage(pname + ChatColor.LIGHT_PURPLE + " Stepped off their pedestal too early!");
                            }
                        }
                        ArenaPlayer arenaPlayer = plugin.arenaPlayers.get(p.getUniqueId());
                        arenaPlayer.setFrozen(false);
                        arenaPlayer.setInArena(false);
                        arenaPlayer.setArena(null);
                        if (plugin.config.getBoolean("broadcastAll")) {
                            p.getServer().broadcastMessage(leftmsg);
                        } else {
                            for (UUID gn : plugin.Playing.get(a)) {
                                Player g = plugin.getServer().getPlayer(gn);
                                g.sendMessage(leftmsg);
                            }
                        }
                        plugin.winner(a);
                    }
                } else {
                    i = plugin.Playing.get(a).indexOf(pname) + 1;
                    Location pLoc = null;
                    if (p.hasMetadata("HA-Location")) {
                        List<MetadataValue> l = p.getMetadata("HA-Location");
                        if (l != null && l.size() != 0) {
                            try {
                                pLoc = (Location) l.get(0).value();
                            } catch (Exception ignored) {
                            }
                        }
                        if (pLoc != null) {
                            if (p.getLocation().getBlockX() != (pLoc.getBlockX()) || p.getLocation().getBlockZ() != (pLoc.getBlockZ())) {
                                pLoc.setX(pLoc.getBlock().getLocation().getX() + .5);
                                pLoc.setZ(pLoc.getBlock().getLocation().getZ() + .5);
                                p.teleport(pLoc);
                            }
                        } else {
                            if (!p.getLocation().getBlock().getLocation().equals(plugin.location.get(a).get(i).getBlock().getLocation())) {
                                p.teleport(plugin.location.get(a).get(i));
                            }
                        }
                    }
                }
            }
        }
    }
}
